
//***********************************************************************
//*Beschreibung		: Scheitelpunkt			 							*
//*Autor			: Adrian Meier										*
//*Datum			: 09.01.03											*
//*Fach				: Mathematik										*
//***********************************************************************


public class Parabel
{

  	static public void main( String[] args )
  	{
		double s1;
		double s2;
		double x1;
		double x2;
		double d;
		InOut.println("***Dieses Programm berechnet den Scheitelpunkt einer Parabel oder die Loesungen der quadr. Gleichung");
		InOut.println("Geben Sie die Quadratische Gleichung ax^2 + bx +c =0 ein: ");
		InOut.println(" ");
		InOut.print("  a: ");
		double a=InOut.getDouble();
		InOut.print("  b: ");
		double b=InOut.getDouble();
		InOut.print("  c: ");
		double c=InOut.getDouble();
		s1=((b)/(2*a));
		s2=(c-((b*b)/(4*a)));
		x1=(-b+(Math.sqrt(b*b-4*a*c)))/(2*a);
		x2=(-b-(Math.sqrt(b*b-4*a*c)))/(2*a);
		d=b*b-4*a*c;
		InOut.print("Der Scheitelpunkt ist : " + "(" + s1 + " | " + s2 + ")");
		if(a>0)InOut.println("   Parabel nach oben geoeffnet");
		if(a<0)InOut.println("   Parabel nach unten geoeffnet");
		InOut.print("Die Loesungen der quadr. Gleichung sind: " + "(" + x1 + " , " + x2 + ")");
		if(d>0)InOut.println("     Zwei Loesungen in R");
		if(d==0)InOut.println("    Eine Loesungen in R");
		if(d<0)InOut.println("    Keine Loesung in R");


	}
}
